Package org.eclipse.net4j.util.om.monitor

## Class ProgressDistributor

- java.lang.Object
- - org.eclipse.net4j.util.om.monitor.ProgressDistributor

- Direct Known Subclasses:
    `ProgressDistributor.Arithmetic`, `ProgressDistributor.Geometric`

      public abstract class ProgressDistributor
      extends java.lang.Object

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ProgressDistributor.Arithmetic` |
    `static class` | `ProgressDistributor.Geometric` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProgressDistributor()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <CONTEXT> ProgressDistributable<CONTEXT>[]` | `array​(ProgressDistributable<CONTEXT>... ops)` |
    `protected abstract void` | `distribute​(double[] distribution, double[] times)` |
    `<CONTEXT> void` | `run​(ProgressDistributable<CONTEXT>[] distributables, CONTEXT context, OMMonitor monitor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressDistributor

          public ProgressDistributor()

  - ### Method Detail

    - #### run

          public final <CONTEXT> void run​(ProgressDistributable<CONTEXT>[] distributables,
                                          CONTEXT context,
                                          OMMonitor monitor)
                                   throws java.lang.RuntimeException,
                                          WrappedException

      Throws:
        `java.lang.RuntimeException`
        `WrappedException`

    - #### distribute

          protected abstract void distribute​(double[] distribution,
                                             double[] times)

    - #### array

          @SafeVarargs
          public static <CONTEXT> ProgressDistributable<CONTEXT>[] array​(ProgressDistributable<CONTEXT>... ops)